import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from '@/../src-gen/store';
import axios from 'axios';
import {axiosSetup} from './axiossetup';
import 'toastr/build/toastr.min.css';

import Vuetify from 'vuetify';
import VeeValidate from 'vee-validate';

import 'vuetify/dist/vuetify.min.css'; // Ensure you are using css-loader
import 'material-design-icons-iconfont/dist/material-design-icons.css'; // Ensure you are using css-loader


Vue.config.productionTip = false;

Vue.use(Vuetify);
Vue.use(VeeValidate);

axiosSetup.setup();

new Vue({
  router,
  store,
  render: (h: any) => h(App),
  $_veeValidate: {
      validator: 'new'
  },
}).$mount('#app');
